Bug 1261070 - Reproducible LVM errors on a few systems when .cache file contains a device that is no longer on the system
Summary: Reproducible LVM errors on a few systems when .cache file contains a device t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1260194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-08 14:07 UTC by Jan Kurik
Modified: 2019-09-12 08:53 UTC (History)
12 users (show)

Fixed In Version: lvm2-2.02.111-2.el6_6.6
Doc Type: Bug Fix
Doc Text:
When the /etc/lvm/cache/.cache file contained an entry that did not exist, the code processed an uninitialized structure which led to unreliable behavior. As a consequence, an error message referencing an undefined (major, minor) pair was returned. With this update, non-existent devices are handled correctly while processing the .cache file, and the aforementioned error message is no longer generated.
Clone Of: 1260194
Environment:
Last Closed: 2015-09-21 12:48:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1813 normal SHIPPED_LIVE lvm2 bug fix update 2015-09-21 16:47:41 UTC

Description Jan Kurik 2015-09-08 14:07:10 UTC
This bug has been copied from bug #1260194 and has been proposed
to be backported to 6.6 z-stream (EUS).

Comment 6 errata-xmlrpc 2015-09-21 12:48:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1813.html


Note You need to log in before you can comment on or make changes to this bug.